Loading...
Searching...
No Matches
Postscript Exporting
Input-Output

## Detailed Description

This group contains general `EPS` drawing methods and special graph exporting tools.

## Files

file | graph_to_eps.h

## Functions

template<class GR>
GraphToEps< DefaultGraphToEpsTraits< GR > > | graphToEps (GR &g, std::ostream &os=std::cout)
| Generates an EPS file from a graph.
template<class GR>
GraphToEps< DefaultGraphToEpsTraits< GR > > | graphToEps (GR &g, const char *file_name)
| Generates an EPS file from a graph.
template<class GR>
GraphToEps< DefaultGraphToEpsTraits< GR > > | graphToEps (GR &g, const std::string &file_name)
| Generates an EPS file from a graph.

## Function Documentation

## graphToEps() [1/3]

template<class GR>

GraphToEps< DefaultGraphToEpsTraits< GR > > graphToEps | ( | GR & | g,
|  | std::ostream & | os = std::cout )

Generates an EPS file from a graph.

Parameters

  g | Reference to the graph to be printed.
  os | Reference to the output stream. By default, it is std::cout.

This function also has a lot of named parameters, they are declared as the members of class GraphToEps. The following example shows how to use these parameters.

graphToEps(g,os).scale(10).coords(coords)
.nodeScale(2).nodeSizes(sizes)
.arcWidthScale(.4).run();
lemon::graphToEps
GraphToEps< DefaultGraphToEpsTraits< GR > > graphToEps(GR &g, std::ostream &os=std::cout)
Generates an EPS file from a graph.
Definition graph_to_eps.h:1136

For more detailed examples, see the graph_to_eps_demo.cc demo file.

Warning
  Don't forget to put the run() to the end of the parameter list.

See also
  GraphToEps
  graphToEps(GR &g, const char *file_name)

## graphToEps() [2/3]

template<class GR>

GraphToEps< DefaultGraphToEpsTraits< GR > > graphToEps | ( | GR & | g,
|  | const char * | file_name )

This function does the same as ostream& os) but it writes its output into the file `file_name` instead of a stream.

See also
  graphToEps(GR &g, std::ostream& os)

## graphToEps() [3/3]

template<class GR>

GraphToEps< DefaultGraphToEpsTraits< GR > > graphToEps | ( | GR & | g,
|  | const std::string & | file_name )

This function does the same as ostream& os) but it writes its output into the file `file_name` instead of a stream.

See also
  graphToEps(GR &g, std::ostream& os)